'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var hasAttribute = function hasAttribute(attributes, attribute) {
  var idx = 0;

  var hasAttr = attributes.some(function (attr, index) {
    // If the attributes contain a spread attribute, then skip.
    if (attr.type === 'JSXSpreadAttribute') {
      return false;
    }

    // Normalize.
    if (attr.name.name.toUpperCase() === attribute.toUpperCase()) {
      idx = index; // Keep track of the index.
      return true;
    }

    return false;
  });

  return hasAttr ? attributes[idx] : false;
};

exports.default = hasAttribute;