'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var isHiddenFromScreenReader = function isHiddenFromScreenReader(attributes) {
  return attributes.some(function (attribute) {
    if (attribute.type === 'JSXSpreadAttribute') {
      return false;
    }

    var name = attribute.name.name.toUpperCase();
    var value = attribute.value && attribute.value.value;

    return name === 'ARIA-HIDDEN' && (value === true || value === null);
  });
};

exports.default = isHiddenFromScreenReader;